openapi: 3.0.3
info:
  title: 'ETS API'
  description: 'API for ETS CRM System'
  version: 1.0.0
servers:
  -
    url: 'https://stage-ng.etm-system.ru'
paths:
  '/api/air/offers/{buy_id}/availability':
    get:
      summary: 'Check the availability of the offer'
      description: ''
      parameters:
        -
          in: header
          name: Content-Type
          description: ''
          example: application/json
          schema:
            type: string
        -
          in: header
          name: Accept
          description: ''
          example: application/json
          schema:
            type: string
      responses:
        200:
          description: Success
          content:
            text/plain:
              schema:
                type: string
                example: "code=200 {\n \"status\": \"ok\",\n \"message\": \"No error\",\n \"availability\": true,\n \"check_in_details\": {\n     \"gds\": \"LowCosts\",\n     \"gds_id\": 108,\n     \"seat_selection_required\": true,\n     \"seat_selection_available\": false,\n     \"registration_type\": {\n     \"airport_check_in\": {\n         \"airport_check_in\": {\n         \"price_details\": {},\n         \"baggages\": [\n             {\n             \"extra_baggage_id\": \"67709907_AirportCheckIn_0\",\n             \"bags_number\": 1,\n             \"one_bag_weight\": 1,\n             \"total_weight\": 1,\n             \"price_details\": {}\n             }\n         ]\n         }\n     },\n     \"online_check_in\": {}\n     }\n }"
      tags:
        - AvailabilityController
      security: []
    parameters:
      -
        in: path
        name: buy_id
        description: 'The ID of the buy.'
        example: accusantium
        required: true
        schema:
          type: string
  '/api/login/b2c/{app_id}':
    get:
      summary: 'Get an authorization key by application (site) ID'
      description: ''
      parameters:
        -
          in: header
          name: Content-Type
          description: ''
          example: application/json
          schema:
            type: string
        -
          in: header
          name: Accept
          description: ''
          example: application/json
          schema:
            type: string
      responses:
        200:
          description: Success
          content:
            text/plain:
              schema:
                type: string
                example: "{\n Session\n}"
        400:
          description: 'Invalid input'
          content:
            application/json:
              schema:
                type: object
                example: {  }
                properties: {  }
        403:
          description: Forbidden
          content:
            application/json:
              schema:
                type: object
                example: {  }
                properties: {  }
      tags:
        - B2C
      security: []
    parameters:
      -
        in: path
        name: app_id
        description: 'The ID of the app.'
        example: voluptates
        required: true
        schema:
          type: string
  /api/air/orders:
    post:
      summary: 'Create order and booking'
      description: ''
      parameters:
        -
          in: header
          name: Content-Type
          description: ''
          example: application/json
          schema:
            type: string
        -
          in: header
          name: Accept
          description: ''
          example: application/json
          schema:
            type: string
      responses:
        200:
          description: Success
          content:
            application/json:
              schema:
                type: object
                example:
                  status: ok
                  message: 'No error'
                  data:
                    order_id: 45009
                    book_id: 47009
                    status: B
                    pnr_number: WT654F
                    amount: '35780'
                    currency: RUB
                    buyer:
                      email: buyer@etm-system.ru
                      phone: '(7) 563464634'
                      country:
                        code: RU
                        name: Russia
                      city: Königsberg
                      address: 'Teatralnaya str'
                      zip: '84000'
                    stamp_create: '2018-04-16 11:44:14'
                    stamp_ticket: '2018-04-16 12:53:14'
                    time_till_ticket:
                      days: 1
                      hours: 7
                      minutes: 34
                    directions:
                      -
                        id: 2345323
                        direction: 1
                        stops: 2
                        duration: '19:50:00'
                        segments:
                          -
                            number: 1
                            departure:
                              country:
                                code: RU
                                name: Russia
                              city:
                                code: KRR
                                name: Krasnodar
                              airport:
                                code: KRR
                                name: Pashkovsky
                              terminal: 2B
                              date: '2018-06-07'
                              time: '02:55:00'
                              timezone: '+03:00'
                            arrival:
                              country:
                                code: RU
                                name: Russia
                              city:
                                code: MOW
                                name: Moscow
                              airport:
                                code: SVO
                                name: 'Sheremetyevo International'
                              terminal: 1C
                              date: '2018-06-07'
                              time: '05:05:00'
                              timezone: '+03:00'
                            technical:
                              duration: '02:30:00'
                              country:
                                code: US
                                name: USA
                              city:
                                code: LAX
                                name: 'Los Angeles'
                              airport:
                                code: LAX
                                name: 'Los Angeles International'
                            wait: '04:20:00'
                            duration: '02:10:00'
                            flight_number: '2902'
                            booking_class: R
                            service_class:
                              code: B
                              name: Business
                            validating_airline:
                              code: LH
                              name: Lufthansa
                            marketing_airline:
                              code: KL
                              name: KLM
                            operating_airline:
                              code: SU
                              name: Aeroflot
                            airplane:
                              code: 73H
                              name: 'BOEING 737-800'
                    passengers:
                      -
                        pax_id: 60606
                        info:
                          type:
                            code: ADT
                            name: Adult
                          title: Mr
                          firstname: SERGEY
                          lastname: PETROV
                          birthdate: '1981-02-08'
                        document:
                          citizenship:
                            code: RU
                            name: Russia
                          type:
                            code: PSP
                            name: 'Foreign passport'
                          number: '123456789'
                          expire: '2020-02-20'
                          issue: '1920-02-20'
                        arrival_info:
                          type:
                            code: D
                            name: 'Arrival country'
                          country:
                            code: DE
                            name: Germany
                          city: Magdeburg
                          address: 'Evangelische Domgemeinde'
                          zip: '12345'
                        visa_info:
                          number: '987654321'
                          birth_address: Moscow
                          birth_country:
                            code: RU
                            name: Russia
                          travel_country:
                            code: DE
                            name: Germany
                          issue_date: '2017-01-01'
                          issue_place: Moscow
                          issue_country:
                            code: RU
                            name: Russia
                        fe_data:
                          type: DIS
                          passport: '123456789'
                          birth: '1982-05-24'
                          liner_citizen: RU
                          liner_issue: '2015-09-01'
                          disability: '12345'
                          permit: HZ
                        ticket:
                          ticket_id: 19990
                          status: TKTT
                          number: 262-2051011941
                          stamp: '2018-04-19 12:14:00'
                          taxes:
                            -
                              type: YR
                              amount: 21.08
                              currency: EUR
                          refund_info:
                            fare_used: 13.61
                            penalty: 50
                            service:
                              -
                                usertype: agent
                                items:
                                  -
                                    currency: RUB
                                    amount: 32.5
                            fee_return:
                              provider: 'N'
                              agent: 'Y'
                              subagent: 'N'
                            involuntary: false
                          actions:
                            void: true
                            refund: false
                            exchange: true
                            ticket: true
                            docs: true
                            frequent: true
                            service: true
                            osi: true
                            fe: true
                        price:
                          fare: 2812
                          tax: 3500
                          fee: 120
                          hidden: 0
                          total: 6432
                    fare_family:
                      -
                        routes:
                          -
                            departure: DME
                            arrival: TXL
                        name: 'BUSINESS SAVER'
                        class: Business
                        services:
                          -
                            name: '2 CHECKED BAGS UP TO 32KG EACH'
                            status:
                              code: included
                              name: Included
                    payment_methods:
                      types:
                        corporate: true
                        customer: true
                        deposit: true
                      psp:
                        -
                          psp_id: 12
                          name: AlfaBank
                          card: 'N'
                          fee: 120
                    actions:
                      void_book: true
                      void_segment: false
                      split: true
                      refund: false
                      share: true
                      owner: true
                      ticket: true
                      cancel_bills: false
                      remarks: true
                      tourcode: true
                      timelimit: false
                      seats: true
                      service: true
                      osi: true
                      queue: true
                      rebook: true
                      recalc: true
                      book_osi: false
                      add_bill: false
                      checktrip: false
                      involuntary_refund: false
                      itinerary: false
                      eticket: false
                      exchange: true
                      all_refund: false
                      print: true
                      bonus: false
                      krs: true
                properties:
                  status:
                    type: string
                    example: ok
                  message:
                    type: string
                    example: 'No error'
                  data:
                    type: object
                    example:
                      order_id: 45009
                      book_id: 47009
                      status: B
                      pnr_number: WT654F
                      amount: '35780'
                      currency: RUB
                      buyer:
                        email: buyer@etm-system.ru
                        phone: '(7) 563464634'
                        country:
                          code: RU
                          name: Russia
                        city: Königsberg
                        address: 'Teatralnaya str'
                        zip: '84000'
                      stamp_create: '2018-04-16 11:44:14'
                      stamp_ticket: '2018-04-16 12:53:14'
                      time_till_ticket:
                        days: 1
                        hours: 7
                        minutes: 34
                      directions:
                        -
                          id: 2345323
                          direction: 1
                          stops: 2
                          duration: '19:50:00'
                          segments:
                            -
                              number: 1
                              departure:
                                country:
                                  code: RU
                                  name: Russia
                                city:
                                  code: KRR
                                  name: Krasnodar
                                airport:
                                  code: KRR
                                  name: Pashkovsky
                                terminal: 2B
                                date: '2018-06-07'
                                time: '02:55:00'
                                timezone: '+03:00'
                              arrival:
                                country:
                                  code: RU
                                  name: Russia
                                city:
                                  code: MOW
                                  name: Moscow
                                airport:
                                  code: SVO
                                  name: 'Sheremetyevo International'
                                terminal: 1C
                                date: '2018-06-07'
                                time: '05:05:00'
                                timezone: '+03:00'
                              technical:
                                duration: '02:30:00'
                                country:
                                  code: US
                                  name: USA
                                city:
                                  code: LAX
                                  name: 'Los Angeles'
                                airport:
                                  code: LAX
                                  name: 'Los Angeles International'
                              wait: '04:20:00'
                              duration: '02:10:00'
                              flight_number: '2902'
                              booking_class: R
                              service_class:
                                code: B
                                name: Business
                              validating_airline:
                                code: LH
                                name: Lufthansa
                              marketing_airline:
                                code: KL
                                name: KLM
                              operating_airline:
                                code: SU
                                name: Aeroflot
                              airplane:
                                code: 73H
                                name: 'BOEING 737-800'
                      passengers:
                        -
                          pax_id: 60606
                          info:
                            type:
                              code: ADT
                              name: Adult
                            title: Mr
                            firstname: SERGEY
                            lastname: PETROV
                            birthdate: '1981-02-08'
                          document:
                            citizenship:
                              code: RU
                              name: Russia
                            type:
                              code: PSP
                              name: 'Foreign passport'
                            number: '123456789'
                            expire: '2020-02-20'
                            issue: '1920-02-20'
                          arrival_info:
                            type:
                              code: D
                              name: 'Arrival country'
                            country:
                              code: DE
                              name: Germany
                            city: Magdeburg
                            address: 'Evangelische Domgemeinde'
                            zip: '12345'
                          visa_info:
                            number: '987654321'
                            birth_address: Moscow
                            birth_country:
                              code: RU
                              name: Russia
                            travel_country:
                              code: DE
                              name: Germany
                            issue_date: '2017-01-01'
                            issue_place: Moscow
                            issue_country:
                              code: RU
                              name: Russia
                          fe_data:
                            type: DIS
                            passport: '123456789'
                            birth: '1982-05-24'
                            liner_citizen: RU
                            liner_issue: '2015-09-01'
                            disability: '12345'
                            permit: HZ
                          ticket:
                            ticket_id: 19990
                            status: TKTT
                            number: 262-2051011941
                            stamp: '2018-04-19 12:14:00'
                            taxes:
                              -
                                type: YR
                                amount: 21.08
                                currency: EUR
                            refund_info:
                              fare_used: 13.61
                              penalty: 50
                              service:
                                -
                                  usertype: agent
                                  items:
                                    -
                                      currency: RUB
                                      amount: 32.5
                              fee_return:
                                provider: 'N'
                                agent: 'Y'
                                subagent: 'N'
                              involuntary: false
                            actions:
                              void: true
                              refund: false
                              exchange: true
                              ticket: true
                              docs: true
                              frequent: true
                              service: true
                              osi: true
                              fe: true
                          price:
                            fare: 2812
                            tax: 3500
                            fee: 120
                            hidden: 0
                            total: 6432
                      fare_family:
                        -
                          routes:
                            -
                              departure: DME
                              arrival: TXL
                          name: 'BUSINESS SAVER'
                          class: Business
                          services:
                            -
                              name: '2 CHECKED BAGS UP TO 32KG EACH'
                              status:
                                code: included
                                name: Included
                      payment_methods:
                        types:
                          corporate: true
                          customer: true
                          deposit: true
                        psp:
                          -
                            psp_id: 12
                            name: AlfaBank
                            card: 'N'
                            fee: 120
                      actions:
                        void_book: true
                        void_segment: false
                        split: true
                        refund: false
                        share: true
                        owner: true
                        ticket: true
                        cancel_bills: false
                        remarks: true
                        tourcode: true
                        timelimit: false
                        seats: true
                        service: true
                        osi: true
                        queue: true
                        rebook: true
                        recalc: true
                        book_osi: false
                        add_bill: false
                        checktrip: false
                        involuntary_refund: false
                        itinerary: false
                        eticket: false
                        exchange: true
                        all_refund: false
                        print: true
                        bonus: false
                        krs: true
      tags:
        - CreateController
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: array
              description: 'It''s not array, it''s dictionay. Remove extra [] at the begining and at the end'
              example:
                -
                  request_id: 230230
                  buy_id: '62550475_62550476'
                  without_contacts: 1
                  phone:
                    code: RU
                    number: '9112871278'
                    extra: '9113971209'
                  emails:
                    - similique
                  address:
                    zip: '12345'
                    country: UZ
                    city: Samarkand
                    additional: 'Amira Timura'
                  passengers:
                    -
                      phone_code: RU
                      phone_number: '9112871278'
                      email: jazz@te.net.ua
                      type: ADT
                      gender: M
                      last_name: IVANOV
                      first_name: IVAN
                      middle_name: ANTONOVICH
                      birth_date: '1990-06-19'
                      citizenship: RU
                      document:
                        type: PSP
                        number: '298173832'
                        issue: '2006-07-23'
                        expire: '2024-11-23'
                      frequent_numbers:
                        -
                          airline: S7
                          number: '9066602'
                  seats:
                    -
                      far_id: 42150
                      seat: 12C
                  bonus_card: '33656367'
              items:
                type: object
                properties:
                  request_id:
                    type: integer
                    description: Request_id.
                    example: 230230
                  buy_id:
                    type: string
                    description: 'requred Buy_id from search request.'
                    example: '62550475_62550476'
                  without_contacts:
                    type: integer
                    description: 'Refusal to provide contact information'
                    example: 1
                  phone:
                    type: json
                    description: 'phone requred number data'
                    example: nemo
                  'emails[]':
                    type: json
                    description: ''
                    example: similique
                  address:
                    type: object
                    description: ''
                    example: []
                    properties:
                      zip:
                        type: string
                        description: ''
                        example: '12345'
                      country:
                        type: string
                        description: ''
                        example: UZ
                      city:
                        type: string
                        description: ''
                        example: Samarkand
                      additional:
                        type: string
                        description: ''
                        example: 'Amira Timura'
                  passengers:
                    type: array
                    description: ''
                    example:
                      - []
                    items:
                      type: object
                      properties:
                        phone_code:
                          type: string
                          description: ''
                          example: RU
                        phone_number:
                          type: string
                          description: ''
                          example: '9112871278'
                        email:
                          type: string
                          description: ''
                          example: jazz@te.net.ua
                        type:
                          type: string
                          description: ''
                          example: ADT
                        gender:
                          type: string
                          description: ''
                          example: M
                        last_name:
                          type: string
                          description: ''
                          example: IVANOV
                        first_name:
                          type: string
                          description: ''
                          example: IVAN
                        middle_name:
                          type: string
                          description: ''
                          example: ANTONOVICH
                        birth_date:
                          type: string
                          description: ''
                          example: '1990-06-19'
                        citizenship:
                          type: string
                          description: ''
                          example: RU
                        document:
                          type: object
                          description: ''
                          example: []
                          properties:
                            type:
                              type: string
                              description: ''
                              example: PSP
                            number:
                              type: string
                              description: ''
                              example: '298173832'
                            issue:
                              type: string
                              description: ''
                              example: '2006-07-23'
                            expire:
                              type: string
                              description: ''
                              example: '2024-11-23'
                        frequent_numbers:
                          type: array
                          description: ''
                          example:
                            - []
                          items:
                            type: object
                            properties:
                              airline:
                                type: string
                                description: ''
                                example: S7
                              number:
                                type: string
                                description: ''
                                example: '9066602'
                  seats:
                    type: array
                    description: ''
                    example:
                      - []
                    items:
                      type: object
                      properties:
                        far_id:
                          type: integer
                          description: ''
                          example: 42150
                        seat:
                          type: string
                          description: ''
                          example: 12C
                  bonus_card:
                    type: string
                    description: ''
                    example: '33656367'
                required:
                  - request_id
                  - address
                  - passengers
      security: []
  /api/suggest/destinations:
    get:
      summary: 'Get cities'
      description: ''
      parameters:
        -
          in: query
          name: locale
          description: 'Locale for city name.'
          example: EN
          required: true
          schema:
            type: string
            description: 'Locale for city name.'
            example: EN
        -
          in: query
          name: term
          description: 'Therm for filter.'
          example: MOW
          required: true
          schema:
            type: string
            description: 'Therm for filter.'
            example: MOW
        -
          in: header
          name: Content-Type
          description: ''
          example: application/json
          schema:
            type: string
        -
          in: header
          name: Accept
          description: ''
          example: application/json
          schema:
            type: string
      responses:
        200:
          description: Success
          content:
            application/json:
              schema:
                type: array
                items:
                  type: object
                example:
                  -
                    children:
                      -
                        name: Domodedovo
                        code: DME
                      -
                        name: 'Sheremetyevo International'
                        code: SVO
                      -
                        name: Vnukovo
                        code: VKO
                      -
                        name: Zhukovsky
                        code: ZIA
                      -
                        name: Ostafyevo
                        code: OSF
                      -
                        name: Chkalovsky
                        code: CKL
                    type: city
                    code: MOW
                    name: Moscow
                    secondName: Russia
      tags:
        - DestinationsController
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                term:
                  type: string
                  description: 'Must be at least 1 characters.'
                  example: p
                locale:
                  type: string
                  description: 'Must be at least 2 characters. Must not be greater than 2 characters.'
                  example: d
                locations_types:
                  type: string
                  description: ''
                  example: qui
              required:
                - term
                - locale
      security: []
  /api/login:
    post:
      summary: 'Get an authorization key by using BasicAuth flow (login/password)'
      description: ''
      parameters:
        -
          in: header
          name: Content-Type
          description: ''
          example: application/json
          schema:
            type: string
        -
          in: header
          name: Accept
          description: ''
          example: application/json
          schema:
            type: string
      responses:
        200:
          description: ''
          content:
            text/plain:
              schema:
                type: string
                example: "{\n      'etm_auth_key'    : 'etm_auth_key',\n      'locale'          : 'EN',\n      'currency'        : 'USD',\n      'max_expiry_time' : 1703550854,\n      'max_timeout'     : 7200\n}"
        400:
          description: 'Invalid input'
          content:
            text/plain:
              schema:
                type: string
                example: "{\n     'error': 'Invalid input'\n}"
        403:
          description: Forbidden
          content:
            text/plain:
              schema:
                type: string
                example: "{\n     'error': 'Invalid input'\n}"
      tags:
        - Endpoints
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                login:
                  type: string
                  description: 'Login for the system.'
                  example: login123
                password:
                  type: string
                  description: 'Password for the login.'
                  example: sd$23a5
              required:
                - login
                - password
      security: []
  '/api/login/{app_id}':
    get:
      summary: ''
      description: ''
      parameters:
        -
          in: header
          name: Content-Type
          description: ''
          example: application/json
          schema:
            type: string
        -
          in: header
          name: Accept
          description: ''
          example: application/json
          schema:
            type: string
      responses:
        404:
          description: ''
          content:
            application/json:
              schema:
                type: object
                example:
                  status: error
                  message: 'No query results for model [App\Models\Sites].'
                properties:
                  status:
                    type: string
                    example: error
                  message:
                    type: string
                    example: 'No query results for model [App\Models\Sites].'
      tags:
        - Endpoints
      security: []
    parameters:
      -
        in: path
        name: app_id
        description: 'The ID of the app.'
        example: at
        required: true
        schema:
          type: string
  /api/air/offers:
    get:
      summary: 'Get search results'
      description: ''
      parameters:
        -
          in: query
          name: request_id
          description: 'Request ID obtanied from SEARCH request.'
          example: 4b78410c-e58c-4889-9cba-1a5af44abc2a
          required: true
          schema:
            type: string
            description: 'Request ID obtanied from SEARCH request.'
            example: 4b78410c-e58c-4889-9cba-1a5af44abc2a
        -
          in: header
          name: Content-Type
          description: ''
          example: application/json
          schema:
            type: string
        -
          in: header
          name: Accept
          description: ''
          example: application/json
          schema:
            type: string
      responses:
        200:
          description: Offers
          content:
            application/json:
              schema:
                type: object
                example:
                  status: Ready
                  next_token: eyJpdiI6IjB3dFVVbS9GSjR3SlVzU2VTcSt1SFE9PSIsInZhbHVlIjoicTR3UGFzOHQzSVR2Y1JJY1JPQlltVXA0WU9ISFoxMzFiRDU2TVJ6MlNLUEoreUNUUkx0aWh2UnFaWE1jTmJFcW5CdzdxRjhORDVYcENPTlpVbWhqdkloUExyUUlHbzQrUGltbFlEbjVqcG5GTWFQT3dhcTJsR01NVlVVcDF3VEtPSTlKZVpkK2pDNnJ3K1YvaXpqV3hRPT0iLCJtYWMiOiJjZjdhYzE4OTJjMDA0N2VlODVjODgzZmMwODM4MGI2OTk1MjI0ZTFkYjRkOGIyNzQ1MjU2YjUyZGU0NWYwMjgwIiwidGFnIjoiIn0=
                  request_id: 4b78410c-e58c-4889-9cba-1a5af44abc2a
                  sort: price
                  offers:
                    -
                      carrier_code: A1
                      carrier_name: 'Airline One'
                      carrier_logo: 'https://stage-ng.etm-system.ru/images/airline/A1.svg'
                      min_price: 25.42
                      offers:
                        -
                          min_price: 25.42
                          segments:
                            -
                              segment_id: request_4b78410c-e58c-4889-9cba-1a5af44abc2a_d3bea99f-3886-420a-be61-fce6697e94f2_0
                              buy_id: request_4b78410c-e58c-4889-9cba-1a5af44abc2a_d3bea99f-3886-420a-be61-fce6697e94f2_0
                              with_rules: true
                              is_policy_fail: null
                              policy_fail_details: null
                              is_ow: null
                              dir_number: 1
                              flight_number: '79'
                              departure_airport: TAS
                              departure_airport_name: Tashkent
                              departure_city_name: Tashkent
                              departure_timestamp: 1703757600
                              departure_date: '2023-12-28'
                              departure_time: '10:00:00'
                              arrival_airport: IST
                              arrival_airport_name: Istanbul
                              arrival_city_name: Istanbul
                              arrival_timestamp: 1703763000
                              arrival_date: '2023-12-28'
                              arrival_time: '11:30:00'
                              duration_formated: '1 h 30 min'
                              duration_minutes: 90
                              stops: 0
                              flights_info:
                                -
                                  operating_airline_code: A1
                                  operating_airline_name: 'Airline One'
                                  operating_airline_logo: 'https://stage-ng.etm-system.ru/images/airline/A1.svg'
                                  marketing_airline_code: A1
                                  marketing_airline_name: 'Airline One'
                                  marketing_airline_logo: 'https://stage-ng.etm-system.ru/images/airline/A1.svg'
                                  flight_number: '79'
                                  flight_number_print: A1-79
                                  airplane_code: '320'
                                  airplane_name: A320
                                  departure_country: UZ
                                  departure_city: Tashkent
                                  departure_city_code: null
                                  route_locales: []
                                  departure_airport: Tashkent
                                  departure_airport_name: Tashkent
                                  departure_terminal: ''
                                  departure_date: '2023-12-28'
                                  departure_local_time: '10:00'
                                  departure_timezone: 'GMT+03:00'
                                  departure_local_timestamp: 1703754000
                                  arrival_country: TK
                                  arrival_city: Istanbul
                                  arrival_city_code: null
                                  arrival_airport: IST
                                  arrival_airport_name: Istanbul
                                  arrival_terminal: '1'
                                  arrival_date: '2023-12-28'
                                  arrival_local_time: '11:30'
                                  arrival_timezone: 'GMT+05:00'
                                  arrival_local_timestamp: 1703759400
                                  duration_formated: '1 h 30 min'
                                  duration_minutes: 90
                                  stop_time: null
                                  stop_time_minutes: null
                                  techstop: null
                                  ifs: {  }
                                  delays: false
                                  baggage: 0PC
                                  service_class: Economy
                                  booking_class: O
                                  vehicle_type: aircraft
                              services_available: false
                              other_price_available: false
                              seatmap_available: false
                              tariff: OPROW
                              prov_fare_type:
                                label: Mix
                                color: bg-color-violet
                              class: O
                              seats: 9
                              price: 25.42
                              price_details:
                                -
                                  passenger_type: adult
                                  type: Adult
                                  qty: 1
                                  base: '0,05 EUR'
                                  base_amount: 0.05
                                  tax: '25,37 EUR'
                                  tax_amount: 25.37
                                  tax_dtl:
                                    -
                                      code: YQ
                                      amount: 1565
                                      currency: EUR
                                    -
                                      code: YR
                                      amount: 400
                                      currency: EUR
                                  fee: '0,00 EUR'
                                  fee_amount: 0
                                  single: '25,42 EUR'
                                  single_amount: 25.42
                                  total: '25,42 EUR'
                                  total_amount: 25.42
                                  base_total: 0.05
                                  fee_total: 0
                                  tax_total: 25.37
                              price_details_extra: []
                              pricelist: []
                              baggage: 0PC
                              price_fare_family: true
                              fare_type: RP
                              fare_messages: null
                              fare_family: PR
                              gds: Mixvel
                              gds_type: Mixvel
                              sita: false
                              sita_calculate: false
                              pcc_name: Mixvel_test
                              pcc_office: Mixvel
                              fee: 0
                              comm: 0
                              is_subsidy: false
                              subsidy_instruction: null
                              discount_attention: null
                              discount_message: null
                              seats_required: false
                              only_ndc_acc: false
                              hash: 0ef5663171ac98f2c8b1b5de3277a035
                              price_hash: 8536f79ce82849c5f93af222c5f14ce1
                              bundled_fares: null
                              buy_message: null
                              consolidator_marker: null
                              consolidator_marker_color: null
                  ow_offers: []
                  travel_policy_id: ''
                  is_schedule: false
                  currency: EUR
                properties:
                  status:
                    type: string
                    example: Ready
                  next_token:
                    type: string
                    example: eyJpdiI6IjB3dFVVbS9GSjR3SlVzU2VTcSt1SFE9PSIsInZhbHVlIjoicTR3UGFzOHQzSVR2Y1JJY1JPQlltVXA0WU9ISFoxMzFiRDU2TVJ6MlNLUEoreUNUUkx0aWh2UnFaWE1jTmJFcW5CdzdxRjhORDVYcENPTlpVbWhqdkloUExyUUlHbzQrUGltbFlEbjVqcG5GTWFQT3dhcTJsR01NVlVVcDF3VEtPSTlKZVpkK2pDNnJ3K1YvaXpqV3hRPT0iLCJtYWMiOiJjZjdhYzE4OTJjMDA0N2VlODVjODgzZmMwODM4MGI2OTk1MjI0ZTFkYjRkOGIyNzQ1MjU2YjUyZGU0NWYwMjgwIiwidGFnIjoiIn0=
                  request_id:
                    type: string
                    example: 4b78410c-e58c-4889-9cba-1a5af44abc2a
                  sort:
                    type: string
                    example: price
                  offers:
                    type: array
                    example:
                      -
                        carrier_code: A1
                        carrier_name: 'Airline One'
                        carrier_logo: 'https://stage-ng.etm-system.ru/images/airline/A1.svg'
                        min_price: 25.42
                        offers:
                          -
                            min_price: 25.42
                            segments:
                              -
                                segment_id: request_4b78410c-e58c-4889-9cba-1a5af44abc2a_d3bea99f-3886-420a-be61-fce6697e94f2_0
                                buy_id: request_4b78410c-e58c-4889-9cba-1a5af44abc2a_d3bea99f-3886-420a-be61-fce6697e94f2_0
                                with_rules: true
                                is_policy_fail: null
                                policy_fail_details: null
                                is_ow: null
                                dir_number: 1
                                flight_number: '79'
                                departure_airport: TAS
                                departure_airport_name: Tashkent
                                departure_city_name: Tashkent
                                departure_timestamp: 1703757600
                                departure_date: '2023-12-28'
                                departure_time: '10:00:00'
                                arrival_airport: IST
                                arrival_airport_name: Istanbul
                                arrival_city_name: Istanbul
                                arrival_timestamp: 1703763000
                                arrival_date: '2023-12-28'
                                arrival_time: '11:30:00'
                                duration_formated: '1 h 30 min'
                                duration_minutes: 90
                                stops: 0
                                flights_info:
                                  -
                                    operating_airline_code: A1
                                    operating_airline_name: 'Airline One'
                                    operating_airline_logo: 'https://stage-ng.etm-system.ru/images/airline/A1.svg'
                                    marketing_airline_code: A1
                                    marketing_airline_name: 'Airline One'
                                    marketing_airline_logo: 'https://stage-ng.etm-system.ru/images/airline/A1.svg'
                                    flight_number: '79'
                                    flight_number_print: A1-79
                                    airplane_code: '320'
                                    airplane_name: A320
                                    departure_country: UZ
                                    departure_city: Tashkent
                                    departure_city_code: null
                                    route_locales: []
                                    departure_airport: Tashkent
                                    departure_airport_name: Tashkent
                                    departure_terminal: ''
                                    departure_date: '2023-12-28'
                                    departure_local_time: '10:00'
                                    departure_timezone: 'GMT+03:00'
                                    departure_local_timestamp: 1703754000
                                    arrival_country: TK
                                    arrival_city: Istanbul
                                    arrival_city_code: null
                                    arrival_airport: IST
                                    arrival_airport_name: Istanbul
                                    arrival_terminal: '1'
                                    arrival_date: '2023-12-28'
                                    arrival_local_time: '11:30'
                                    arrival_timezone: 'GMT+05:00'
                                    arrival_local_timestamp: 1703759400
                                    duration_formated: '1 h 30 min'
                                    duration_minutes: 90
                                    stop_time: null
                                    stop_time_minutes: null
                                    techstop: null
                                    ifs: {  }
                                    delays: false
                                    baggage: 0PC
                                    service_class: Economy
                                    booking_class: O
                                    vehicle_type: aircraft
                                services_available: false
                                other_price_available: false
                                seatmap_available: false
                                tariff: OPROW
                                prov_fare_type:
                                  label: Mix
                                  color: bg-color-violet
                                class: O
                                seats: 9
                                price: 25.42
                                price_details:
                                  -
                                    passenger_type: adult
                                    type: Adult
                                    qty: 1
                                    base: '0,05 EUR'
                                    base_amount: 0.05
                                    tax: '25,37 EUR'
                                    tax_amount: 25.37
                                    tax_dtl:
                                      - { code: YQ, amount: 1565, currency: EUR }
                                      - { code: YR, amount: 400, currency: EUR }
                                    fee: '0,00 EUR'
                                    fee_amount: 0
                                    single: '25,42 EUR'
                                    single_amount: 25.42
                                    total: '25,42 EUR'
                                    total_amount: 25.42
                                    base_total: 0.05
                                    fee_total: 0
                                    tax_total: 25.37
                                price_details_extra: []
                                pricelist: []
                                baggage: 0PC
                                price_fare_family: true
                                fare_type: RP
                                fare_messages: null
                                fare_family: PR
                                gds: Mixvel
                                gds_type: Mixvel
                                sita: false
                                sita_calculate: false
                                pcc_name: Mixvel_test
                                pcc_office: Mixvel
                                fee: 0
                                comm: 0
                                is_subsidy: false
                                subsidy_instruction: null
                                discount_attention: null
                                discount_message: null
                                seats_required: false
                                only_ndc_acc: false
                                hash: 0ef5663171ac98f2c8b1b5de3277a035
                                price_hash: 8536f79ce82849c5f93af222c5f14ce1
                                bundled_fares: null
                                buy_message: null
                                consolidator_marker: null
                                consolidator_marker_color: null
                    items:
                      type: object
                  ow_offers:
                    type: array
                    example: []
                  travel_policy_id:
                    type: string
                    example: ''
                  is_schedule:
                    type: boolean
                    example: false
                  currency:
                    type: string
                    example: EUR
      tags:
        - IndexController
      security: []
    post:
      summary: 'Get search results'
      description: ''
      parameters:
        -
          in: query
          name: request_id
          description: 'Request ID obtanied from SEARCH request.'
          example: 4b78410c-e58c-4889-9cba-1a5af44abc2a
          required: true
          schema:
            type: string
            description: 'Request ID obtanied from SEARCH request.'
            example: 4b78410c-e58c-4889-9cba-1a5af44abc2a
        -
          in: header
          name: Content-Type
          description: ''
          example: application/json
          schema:
            type: string
        -
          in: header
          name: Accept
          description: ''
          example: application/json
          schema:
            type: string
      responses:
        200:
          description: Offers
          content:
            application/json:
              schema:
                type: object
                example:
                  status: Ready
                  next_token: eyJpdiI6IjB3dFVVbS9GSjR3SlVzU2VTcSt1SFE9PSIsInZhbHVlIjoicTR3UGFzOHQzSVR2Y1JJY1JPQlltVXA0WU9ISFoxMzFiRDU2TVJ6MlNLUEoreUNUUkx0aWh2UnFaWE1jTmJFcW5CdzdxRjhORDVYcENPTlpVbWhqdkloUExyUUlHbzQrUGltbFlEbjVqcG5GTWFQT3dhcTJsR01NVlVVcDF3VEtPSTlKZVpkK2pDNnJ3K1YvaXpqV3hRPT0iLCJtYWMiOiJjZjdhYzE4OTJjMDA0N2VlODVjODgzZmMwODM4MGI2OTk1MjI0ZTFkYjRkOGIyNzQ1MjU2YjUyZGU0NWYwMjgwIiwidGFnIjoiIn0=
                  request_id: 4b78410c-e58c-4889-9cba-1a5af44abc2a
                  sort: price
                  offers:
                    -
                      carrier_code: A1
                      carrier_name: 'Airline One'
                      carrier_logo: 'https://stage-ng.etm-system.ru/images/airline/A1.svg'
                      min_price: 25.42
                      offers:
                        -
                          min_price: 25.42
                          segments:
                            -
                              segment_id: request_4b78410c-e58c-4889-9cba-1a5af44abc2a_d3bea99f-3886-420a-be61-fce6697e94f2_0
                              buy_id: request_4b78410c-e58c-4889-9cba-1a5af44abc2a_d3bea99f-3886-420a-be61-fce6697e94f2_0
                              with_rules: true
                              is_policy_fail: null
                              policy_fail_details: null
                              is_ow: null
                              dir_number: 1
                              flight_number: '79'
                              departure_airport: TAS
                              departure_airport_name: Tashkent
                              departure_city_name: Tashkent
                              departure_timestamp: 1703757600
                              departure_date: '2023-12-28'
                              departure_time: '10:00:00'
                              arrival_airport: IST
                              arrival_airport_name: Istanbul
                              arrival_city_name: Istanbul
                              arrival_timestamp: 1703763000
                              arrival_date: '2023-12-28'
                              arrival_time: '11:30:00'
                              duration_formated: '1 h 30 min'
                              duration_minutes: 90
                              stops: 0
                              flights_info:
                                -
                                  operating_airline_code: A1
                                  operating_airline_name: 'Airline One'
                                  operating_airline_logo: 'https://stage-ng.etm-system.ru/images/airline/A1.svg'
                                  marketing_airline_code: A1
                                  marketing_airline_name: 'Airline One'
                                  marketing_airline_logo: 'https://stage-ng.etm-system.ru/images/airline/A1.svg'
                                  flight_number: '79'
                                  flight_number_print: A1-79
                                  airplane_code: '320'
                                  airplane_name: A320
                                  departure_country: UZ
                                  departure_city: Tashkent
                                  departure_city_code: null
                                  route_locales: []
                                  departure_airport: Tashkent
                                  departure_airport_name: Tashkent
                                  departure_terminal: ''
                                  departure_date: '2023-12-28'
                                  departure_local_time: '10:00'
                                  departure_timezone: 'GMT+03:00'
                                  departure_local_timestamp: 1703754000
                                  arrival_country: TK
                                  arrival_city: Istanbul
                                  arrival_city_code: null
                                  arrival_airport: IST
                                  arrival_airport_name: Istanbul
                                  arrival_terminal: '1'
                                  arrival_date: '2023-12-28'
                                  arrival_local_time: '11:30'
                                  arrival_timezone: 'GMT+05:00'
                                  arrival_local_timestamp: 1703759400
                                  duration_formated: '1 h 30 min'
                                  duration_minutes: 90
                                  stop_time: null
                                  stop_time_minutes: null
                                  techstop: null
                                  ifs: {  }
                                  delays: false
                                  baggage: 0PC
                                  service_class: Economy
                                  booking_class: O
                                  vehicle_type: aircraft
                              services_available: false
                              other_price_available: false
                              seatmap_available: false
                              tariff: OPROW
                              prov_fare_type:
                                label: Mix
                                color: bg-color-violet
                              class: O
                              seats: 9
                              price: 25.42
                              price_details:
                                -
                                  passenger_type: adult
                                  type: Adult
                                  qty: 1
                                  base: '0,05 EUR'
                                  base_amount: 0.05
                                  tax: '25,37 EUR'
                                  tax_amount: 25.37
                                  tax_dtl:
                                    -
                                      code: YQ
                                      amount: 1565
                                      currency: EUR
                                    -
                                      code: YR
                                      amount: 400
                                      currency: EUR
                                  fee: '0,00 EUR'
                                  fee_amount: 0
                                  single: '25,42 EUR'
                                  single_amount: 25.42
                                  total: '25,42 EUR'
                                  total_amount: 25.42
                                  base_total: 0.05
                                  fee_total: 0
                                  tax_total: 25.37
                              price_details_extra: []
                              pricelist: []
                              baggage: 0PC
                              price_fare_family: true
                              fare_type: RP
                              fare_messages: null
                              fare_family: PR
                              gds: Mixvel
                              gds_type: Mixvel
                              sita: false
                              sita_calculate: false
                              pcc_name: Mixvel_test
                              pcc_office: Mixvel
                              fee: 0
                              comm: 0
                              is_subsidy: false
                              subsidy_instruction: null
                              discount_attention: null
                              discount_message: null
                              seats_required: false
                              only_ndc_acc: false
                              hash: 0ef5663171ac98f2c8b1b5de3277a035
                              price_hash: 8536f79ce82849c5f93af222c5f14ce1
                              bundled_fares: null
                              buy_message: null
                              consolidator_marker: null
                              consolidator_marker_color: null
                  ow_offers: []
                  travel_policy_id: ''
                  is_schedule: false
                  currency: EUR
                properties:
                  status:
                    type: string
                    example: Ready
                  next_token:
                    type: string
                    example: eyJpdiI6IjB3dFVVbS9GSjR3SlVzU2VTcSt1SFE9PSIsInZhbHVlIjoicTR3UGFzOHQzSVR2Y1JJY1JPQlltVXA0WU9ISFoxMzFiRDU2TVJ6MlNLUEoreUNUUkx0aWh2UnFaWE1jTmJFcW5CdzdxRjhORDVYcENPTlpVbWhqdkloUExyUUlHbzQrUGltbFlEbjVqcG5GTWFQT3dhcTJsR01NVlVVcDF3VEtPSTlKZVpkK2pDNnJ3K1YvaXpqV3hRPT0iLCJtYWMiOiJjZjdhYzE4OTJjMDA0N2VlODVjODgzZmMwODM4MGI2OTk1MjI0ZTFkYjRkOGIyNzQ1MjU2YjUyZGU0NWYwMjgwIiwidGFnIjoiIn0=
                  request_id:
                    type: string
                    example: 4b78410c-e58c-4889-9cba-1a5af44abc2a
                  sort:
                    type: string
                    example: price
                  offers:
                    type: array
                    example:
                      -
                        carrier_code: A1
                        carrier_name: 'Airline One'
                        carrier_logo: 'https://stage-ng.etm-system.ru/images/airline/A1.svg'
                        min_price: 25.42
                        offers:
                          -
                            min_price: 25.42
                            segments:
                              -
                                segment_id: request_4b78410c-e58c-4889-9cba-1a5af44abc2a_d3bea99f-3886-420a-be61-fce6697e94f2_0
                                buy_id: request_4b78410c-e58c-4889-9cba-1a5af44abc2a_d3bea99f-3886-420a-be61-fce6697e94f2_0
                                with_rules: true
                                is_policy_fail: null
                                policy_fail_details: null
                                is_ow: null
                                dir_number: 1
                                flight_number: '79'
                                departure_airport: TAS
                                departure_airport_name: Tashkent
                                departure_city_name: Tashkent
                                departure_timestamp: 1703757600
                                departure_date: '2023-12-28'
                                departure_time: '10:00:00'
                                arrival_airport: IST
                                arrival_airport_name: Istanbul
                                arrival_city_name: Istanbul
                                arrival_timestamp: 1703763000
                                arrival_date: '2023-12-28'
                                arrival_time: '11:30:00'
                                duration_formated: '1 h 30 min'
                                duration_minutes: 90
                                stops: 0
                                flights_info:
                                  -
                                    operating_airline_code: A1
                                    operating_airline_name: 'Airline One'
                                    operating_airline_logo: 'https://stage-ng.etm-system.ru/images/airline/A1.svg'
                                    marketing_airline_code: A1
                                    marketing_airline_name: 'Airline One'
                                    marketing_airline_logo: 'https://stage-ng.etm-system.ru/images/airline/A1.svg'
                                    flight_number: '79'
                                    flight_number_print: A1-79
                                    airplane_code: '320'
                                    airplane_name: A320
                                    departure_country: UZ
                                    departure_city: Tashkent
                                    departure_city_code: null
                                    route_locales: []
                                    departure_airport: Tashkent
                                    departure_airport_name: Tashkent
                                    departure_terminal: ''
                                    departure_date: '2023-12-28'
                                    departure_local_time: '10:00'
                                    departure_timezone: 'GMT+03:00'
                                    departure_local_timestamp: 1703754000
                                    arrival_country: TK
                                    arrival_city: Istanbul
                                    arrival_city_code: null
                                    arrival_airport: IST
                                    arrival_airport_name: Istanbul
                                    arrival_terminal: '1'
                                    arrival_date: '2023-12-28'
                                    arrival_local_time: '11:30'
                                    arrival_timezone: 'GMT+05:00'
                                    arrival_local_timestamp: 1703759400
                                    duration_formated: '1 h 30 min'
                                    duration_minutes: 90
                                    stop_time: null
                                    stop_time_minutes: null
                                    techstop: null
                                    ifs: {  }
                                    delays: false
                                    baggage: 0PC
                                    service_class: Economy
                                    booking_class: O
                                    vehicle_type: aircraft
                                services_available: false
                                other_price_available: false
                                seatmap_available: false
                                tariff: OPROW
                                prov_fare_type:
                                  label: Mix
                                  color: bg-color-violet
                                class: O
                                seats: 9
                                price: 25.42
                                price_details:
                                  -
                                    passenger_type: adult
                                    type: Adult
                                    qty: 1
                                    base: '0,05 EUR'
                                    base_amount: 0.05
                                    tax: '25,37 EUR'
                                    tax_amount: 25.37
                                    tax_dtl:
                                      - { code: YQ, amount: 1565, currency: EUR }
                                      - { code: YR, amount: 400, currency: EUR }
                                    fee: '0,00 EUR'
                                    fee_amount: 0
                                    single: '25,42 EUR'
                                    single_amount: 25.42
                                    total: '25,42 EUR'
                                    total_amount: 25.42
                                    base_total: 0.05
                                    fee_total: 0
                                    tax_total: 25.37
                                price_details_extra: []
                                pricelist: []
                                baggage: 0PC
                                price_fare_family: true
                                fare_type: RP
                                fare_messages: null
                                fare_family: PR
                                gds: Mixvel
                                gds_type: Mixvel
                                sita: false
                                sita_calculate: false
                                pcc_name: Mixvel_test
                                pcc_office: Mixvel
                                fee: 0
                                comm: 0
                                is_subsidy: false
                                subsidy_instruction: null
                                discount_attention: null
                                discount_message: null
                                seats_required: false
                                only_ndc_acc: false
                                hash: 0ef5663171ac98f2c8b1b5de3277a035
                                price_hash: 8536f79ce82849c5f93af222c5f14ce1
                                bundled_fares: null
                                buy_message: null
                                consolidator_marker: null
                                consolidator_marker_color: null
                    items:
                      type: object
                  ow_offers:
                    type: array
                    example: []
                  travel_policy_id:
                    type: string
                    example: ''
                  is_schedule:
                    type: boolean
                    example: false
                  currency:
                    type: string
                    example: EUR
      tags:
        - IndexController
      security: []
  '/api/air/orders/{order_id}/payment':
    get:
      summary: 'Update ticketing status'
      description: ''
      parameters:
        -
          in: header
          name: Content-Type
          description: ''
          example: application/json
          schema:
            type: string
        -
          in: header
          name: Accept
          description: ''
          example: application/json
          schema:
            type: string
      responses:
        403:
          description: ''
          content:
            application/json:
              schema:
                type: object
                example:
                  status: error
                  message: 'Session expired'
                  code: 72
                properties:
                  status:
                    type: string
                    example: error
                  message:
                    type: string
                    example: 'Session expired'
                  code:
                    type: integer
                    example: 72
      tags:
        - PaymentController
      security: []
    post:
      summary: 'Ticketing initiation'
      description: ''
      parameters:
        -
          in: header
          name: Content-Type
          description: ''
          example: application/json
          schema:
            type: string
        -
          in: header
          name: Accept
          description: ''
          example: application/json
          schema:
            type: string
      responses: {  }
      tags:
        - PaymentController
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: array
              description: ''
              example:
                - dolore
              items:
                type: json
      security: []
    parameters:
      -
        in: path
        name: order_id
        description: 'The ID of the order.'
        example: officiis
        required: true
        schema:
          type: string
  /api/air/search:
    post:
      summary: 'Search initiating and getting a request ID'
      description: ''
      parameters:
        -
          in: header
          name: Content-Type
          description: ''
          example: application/json
          schema:
            type: string
        -
          in: header
          name: Accept
          description: ''
          example: application/json
          schema:
            type: string
      responses:
        200:
          description: Success
          content:
            application/json:
              schema:
                type: object
                example:
                  status: ok
                  message: ''
                  request_id: 4b78410c-e58c-4889-9cba-1a5af44abc2a
                  old_request_id: null
                  travel_policy_id: null
                  one_order_id: 0
                  show_mode: classic
                  currency: EUR
                  available_currencies:
                    - AMD
                    - EUR
                    - RUB
                  is_round: false
                  is_multy: false
                  group_avia_offers: false
                properties:
                  status:
                    type: string
                    example: ok
                  message:
                    type: string
                    example: ''
                  request_id:
                    type: string
                    example: 4b78410c-e58c-4889-9cba-1a5af44abc2a
                  old_request_id:
                    type: string
                    example: null
                  travel_policy_id:
                    type: string
                    example: null
                  one_order_id:
                    type: integer
                    example: 0
                  show_mode:
                    type: string
                    example: classic
                  currency:
                    type: string
                    example: EUR
                  available_currencies:
                    type: array
                    example:
                      - AMD
                      - EUR
                      - RUB
                    items:
                      type: string
                  is_round:
                    type: boolean
                    example: false
                  is_multy:
                    type: boolean
                    example: false
                  group_avia_offers:
                    type: boolean
                    example: false
        403:
          description: Expired
          content:
            application/json:
              schema:
                type: object
                example:
                  status: error
                  message: 'Session expired'
                  code: 72
                properties:
                  status:
                    type: string
                    example: error
                  message:
                    type: string
                    example: 'Session expired'
                  code:
                    type: integer
                    example: 72
      tags:
        - SearchController
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: array
              description: ''
              example:
                -
                  directions:
                    -
                      departure_code: aliquid
                      arrival_code: est
                      date: cumque
                  adult_qnt: 17
                  child_qnt: 3
                  infant_qnt: 20
                  class: temporibus
                  airlines:
                    - []
                  fare_types:
                    - []
              items:
                type: object
                properties:
                  directions:
                    type: object
                    description: ''
                    example: []
                    properties:
                      departure_code:
                        type: required
                        description: 'IATA code'
                        example: aliquid
                      arrival_code:
                        type: required
                        description: 'IATA code'
                        example: est
                      date:
                        type: required
                        description: 'departure date'
                        example: cumque
                  adult_qnt:
                    type: integer
                    description: ''
                    example: 17
                  child_qnt:
                    type: integer
                    description: ''
                    example: 3
                  infant_qnt:
                    type: integer
                    description: ''
                    example: 20
                  class:
                    type: string
                    description: ''
                    example: temporibus
                  airlines:
                    type: array
                    description: optional
                    example:
                      - []
                    items:
                      type: object
                  fare_types:
                    type: array
                    description: optional
                    example:
                      - []
                    items:
                      type: object
                required:
                  - directions
      security: []
tags:
  -
    name: AvailabilityController
    description: ''
  -
    name: B2C
    description: ''
  -
    name: CreateController
    description: ''
  -
    name: DestinationsController
    description: ''
  -
    name: Endpoints
    description: ''
  -
    name: IndexController
    description: ''
  -
    name: PaymentController
    description: ''
  -
    name: SearchController
    description: ''
components:
  securitySchemes:
    default: []
security:
  -
    default: []
